libreplace: only include AC_USE_SYSTEM_EXTENSIONS fallback if required